import { Request } from "express";
import { LedgerEvent } from "../verifier/LedgerPlugin";
export interface BusinessLogicPlugin {
    startTransaction(req: Request, businessLogicID: string, tradeID: string): void;
    getOperationStatus(tradeID: string): object;
    setConfig(data: []): object;
    onEvent(ledgerEvent: LedgerEvent, targetIndex: number): void;
    getEventDataNum(ledgerEvent: LedgerEvent): number;
    getTxIDFromEvent(ledgerEvent: LedgerEvent, targetIndex: number): string | null;
    hasTxIDInTransactions(txID: string): boolean;
}
