import { IVerifier, ApiInfo, LedgerEvent, IVerifierEventListener } from "./LedgerPlugin";
import { Socket } from "socket.io-client-fixed-types";
export declare class Verifier implements IVerifier {
    validatorID: string;
    validatorType: string;
    validatorUrl: string;
    validatorKeyPath: string;
    apiInfo: Array<ApiInfo>;
    counterReqID: number;
    eventListenerHash: {
        [key: string]: IVerifierEventListener;
    };
    static mapUrlSocket: Map<string, Socket>;
    checkValidator: (key: string, data: string) => Promise<any>;
    constructor(ledgerInfo: string);
    sendAsyncRequest(contract: object, method: object, args: any): Promise<void>;
    private requestLedgerOperationNeo;
    sendSyncRequest(contract: object, method: object, args: object): Promise<any>;
    private requestLedgerOperationHttp;
    static makeOpenApiEvent(resp: object, validatorID: string): LedgerEvent;
    startMonitor(id: string, options: Object, eventListener: IVerifierEventListener): Promise<void>;
    stopMonitor(id?: string): void;
    private setEventListener;
    private genarateReqID;
}
