type RequestedData = {
    dataName: string;
    dataType: string;
};
type ApiInfo = {
    apiType: string;
    requestedData: Array<RequestedData>;
};
export type LedgerPluginInfo = {
    validatorID: string;
    validatorType: string;
    validatorURL: string;
    validatorKeyPath: string;
    ledgerInfo: {
        ledgerAbstract: string;
    };
    apiInfo: Array<ApiInfo>;
};
type Peer = {
    name: string;
    requests: string;
};
type SignTxInfo = {
    ethereum: {
        chainName: string;
        networkID: string;
        chainID: string;
        network: string;
        hardfork: string;
    };
    fabric: {
        mspID: string;
        peers: Array<Peer>;
        orderer: {
            URL: string;
        };
        ca: {
            name: string;
            URL: string;
        };
        submitter: {
            name: string;
            secret: string;
        };
        channelName: string;
        chaincodeID: string;
    };
};
export declare class ValidatorRegistry {
    ledgerPluginInfo: Array<LedgerPluginInfo>;
    signTxInfo: SignTxInfo | undefined;
    constructor(path: string);
}
export {};
